# eric4.QScintilla.Lexers.LexerPerl

Module implementing a Perl lexer with some additional methods.

### Global Attributes

None

### Classes

LexerPerl | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerPerl

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerPerl, Lexer

### Class Attributes

None

### Class Methods

None

### Methods

LexerPerl | Constructor
autoCompletionWordSeparators | Public method to return the list of separators for autocompletion.
defaultKeywords | Public method to get the default keywords.
initProperties | Public slot to initialize the properties.
isCommentStyle | Public method to check, if a style is a comment style.
isStringStyle | Public method to check, if a style is a string style.

### Static Methods

None

#### LexerPerl (Constructor)

LexerPerl(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerPerl.autoCompletionWordSeparators

autoCompletionWordSeparators()

Public method to return the list of separators for autocompletion.

Returns:
  list of separators (QStringList)

#### LexerPerl.defaultKeywords

defaultKeywords(kwSet)

Public method to get the default keywords.

kwSet
  number of the keyword set (integer)

Returns:
  string giving the keywords (string) or None

#### LexerPerl.initProperties

initProperties()

Public slot to initialize the properties.

#### LexerPerl.isCommentStyle

isCommentStyle(style)

Public method to check, if a style is a comment style.

Returns:
  flag indicating a comment style (boolean)

#### LexerPerl.isStringStyle

isStringStyle(style)

Public method to check, if a style is a string style.

Returns:
  flag indicating a string style (boolean)

Up